Summary:	XML parsing for Tcl
Summary(pl.UTF-8):	Analizator XML-a dla Tcl-a
Name:		tcl-tdom
Version:	0.9.0
Release:	1
License:	MPL 1.1
Group:		Development/Languages/Tcl
Source0:	http://tdom.org/downloads/tdom-0.9.0-src.tgz
# Source0-md5:	22a1a4ad5fed6dfbe29c83083bf14d83
URL:		http://tdom.org/
BuildRequires:	expat-devel
BuildRequires:	tcl-devel >= 8.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tDOM combines high performance XML data processing with easy and
powerful Tcl scripting functionality. tDOM should be one of the
fastest ways to manipulate XML with a scripting language and uses very
little memory in the process (for example the DOM tree of the XML
recommendation in XML (160K) needs only about 450K in memory)!

%description -l pl.UTF-8
tDOM łączy wysoko wydajne przetwarzanie danych XML z łatwą i
dającą duże możliwości funkcjonalnością skryptową Tcl-a. tDOM powinien
być jednym z najszybszych sposobów obróbki XML-a z poziomu języków
skryptowych; używa bardzo mało pamięci (np. drzewo DOM rekomendacji
XML w XML-u, mające 160kB, potrzebuje tylko 450kB pamięci).

%package devel
Summary:	C development files for tDOM module
Summary(pl.UTF-8):	Pliki programistyczne C dla modułu tDOM
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	tcl-devel >= 8.4.3
# for header, even if system expat is not used
Requires:	expat-devel

%description devel
C development files for tDOM module.

%description devel -l pl.UTF-8
Pliki programistyczne C dla modułu tDOM.

%prep
%setup -q -n tdom-%{version}

%build
%configure \
%if "%{_lib}" == "lib64"
	--enable-64bit \
%endif
	--enable-threads \
	--with-expat=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

chmod a+x $RPM_BUILD_ROOT%{_libdir}/tdom*/*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README doc/*.html
%dir %{_libdir}/tdom%{version}
%attr(755,root,root) %{_libdir}/tdom%{version}/libtdom%{version}.so
%{_libdir}/tdom%{version}/tdom.tcl
%{_libdir}/tdom%{version}/pkgIndex.tcl
%{_mandir}/mann/dom*.n*
%{_mandir}/mann/expat*.n*
%{_mandir}/mann/tdomcmd.n*
%{_mandir}/mann/tnc.n*

%files devel
%defattr(644,root,root,755)
%{_libdir}/tdom%{version}/libtdomstub%{version}.a
%attr(755,root,root) %{_libdir}/tdomConfig.sh
%{_includedir}/tdom.h
%changelog
* Thu Jun 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcl-tdom.git;a=log;h=master

* Thu Jun 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c18d91e
- up to 0.9.0; use system expat

* Sat Jan 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0aea348
- up to 0.8.3

* Wed Jun 25 2008 Jakub Bogusz <qboosh@pld-linux.org> e448fff
- files fix (tdomConfig.sh is a script, not dir)
- separated -devel

* Tue Jun 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 6e277b7
- pl

* Sun Nov 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ef8e8f2
- fix url

* Thu Oct 18 2007 Elan Ruusamäe <glen@pld-linux.org> 2660834
- balance quotes

* Thu Oct 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 54d2922
- initial

